Bug 28707 - Missing strings in translation of sample data
Summary: Missing strings in translation of sample data
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-13 14:28 UTC by Caroline Cyr La Rose
Modified: 2022-10-23 09:39 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00,21.11.12,22.05.06


Attachments
Bug 28707: Translate RECEIPT notice (2.76 KB, patch)
2022-05-07 12:21 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 28707: Translate RECEIPT notice (2.76 KB, patch)
2022-07-17 09:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28707: Translate RECEIPT notice (2.89 KB, patch)
2022-08-01 09:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-07-13 14:28:12 UTC
The RECEIPT notice was not yet translated in fr-CA.

I hope I'm doing this correctly. I admit I'm a bit lost since the change of the translation process for SQL data. Let me know if I need to change something.
Comment 1 Caroline Cyr La Rose 2021-07-13 15:28:16 UTC
Ok, I'm even more lost than I thought!

I found the name and title of the letter in translate.koha-community.org.

But I can't find the content (e.g. I'm looking for "Operator ID" which is in the RECEIPT).

How do I submit a change to get the content of the letter in translate.k-c.org? Or rather, how do we need to change the letter in order for the content to show up in translate.k-c.org?
Comment 2 Katrin Fischer 2021-12-17 23:48:17 UTC
Hi Caroline, the texts of any sample notice is stored in a .yml file now and the translation should be done via the pootle files.

https://git.koha-community.org/Koha-community/Koha/src/branch/master/installer/data/mysql/en/mandatory/sample_notices.yml#L1112

But I didn't find 'Operator ID:' on pootle - and now I am confused too...

https://translate.koha-community.org/fr_CA/21.11/translate/#search=Operator%20ID%3A&sfields=source,target&soptions=exact
Comment 3 Bernardo Gonzalez Kriegel 2022-05-07 12:21:26 UTC
Created attachment 134768 [details] [review]
Bug 28707: Translate RECEIPT notice

There is a badly crafted regex used when extracting
strings in multiline fields in yaml files
The regex is my own, introduced in Bug 24262, sorry.

This patch correct it a little. Better eyes are welcome.

To test:
1) go to misc translator, update some language
    ./translate update fr-CA

2) check missing strings

    egrep "Total out|Operator ID|August 31" po/fr-CA-installer.po

   first two are from sample notices, third from sample creator data

3) apply the patch, repeat 1)

4) repeat 2), verify the strings are present in the translation file

5) translate some of the new strings, install the language,
   verify strings are present in the translated files
    ./translate install fr-CA
   check fr-CA/optional/sample_creator_data.yml and
   fr-CA/mandatory/sample_notices.yml

There are some 60+ new strings.
Comment 4 Bernardo Gonzalez Kriegel 2022-05-07 12:24:27 UTC
I found the problem, please check if this patch fixes it.
Comment 5 Katrin Fischer 2022-07-17 09:08:10 UTC
Created attachment 137798 [details] [review]
Bug 28707: Translate RECEIPT notice

There is a badly crafted regex used when extracting
strings in multiline fields in yaml files
The regex is my own, introduced in Bug 24262, sorry.

This patch correct it a little. Better eyes are welcome.

To test:
1) go to misc translator, update some language
    ./translate update fr-CA

2) check missing strings

    egrep "Total out|Operator ID|August 31" po/fr-CA-installer.po

   first two are from sample notices, third from sample creator data

3) apply the patch, repeat 1)

4) repeat 2), verify the strings are present in the translation file

5) translate some of the new strings, install the language,
   verify strings are present in the translated files
    ./translate install fr-CA
   check fr-CA/optional/sample_creator_data.yml and
   fr-CA/mandatory/sample_notices.yml

There are some 60+ new strings.
Comment 6 Jonathan Druart 2022-08-01 09:07:30 UTC
Created attachment 138452 [details] [review]
Bug 28707: Translate RECEIPT notice

There is a badly crafted regex used when extracting
strings in multiline fields in yaml files
The regex is my own, introduced in Bug 24262, sorry.

This patch correct it a little. Better eyes are welcome.

To test:
1) go to misc translator, update some language
    ./translate update fr-CA

2) check missing strings

    egrep "Total out|Operator ID|August 31" po/fr-CA-installer.po

   first two are from sample notices, third from sample creator data

3) apply the patch, repeat 1)

4) repeat 2), verify the strings are present in the translation file

5) translate some of the new strings, install the language,
   verify strings are present in the translated files
    ./translate install fr-CA
   check fr-CA/optional/sample_creator_data.yml and
   fr-CA/mandatory/sample_notices.yml

There are some 60+ new strings.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Tomás Cohen Arazi 2022-08-01 12:10:53 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 8 Lucas Gass 2022-09-29 15:11:58 UTC
Backported to 22.05.x for 22.05.06
Comment 9 Victor Grousset/tuxayo 2022-10-13 15:52:33 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.
Comment 10 Arthur Suzuki 2022-10-22 22:07:15 UTC
Thanks!

Pushed to 21.11 for 21.11.12